import java.util.Calendar;

import quadbase.reportorganizer.organizerAPI.QbOrganizer;
import quadbase.reportorganizer.organizerAPI.QbScheduleObject;
import quadbase.reportorganizer.organizerAPI.QbSchedulePackage;

public class SchedulingArchivePackageOneTimeERES {

	// set following constants, your ERES server must be runnning!
	// Run this example from ERES install directory
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "ERES/servlet";

	public static void main(String[] args) {
		SchedulingArchivePackageOneTimeERES doSchedulePackage = new SchedulingArchivePackageOneTimeERES();
		try {
			doSchedulePackage.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		QbOrganizer.setServletContext(ServletContext);
		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

		QbSchedulePackage sPack = new QbSchedulePackage("ArchivePackage_OneTime", organizer);
		sPack.setArchive(true);
		sPack.setTaskOption(QbSchedulePackage.ONE_TIME);
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 1);
		sPack.setStartDate(calendar.getTimeInMillis());
		sPack.setSendEmail(false);

		QbScheduleObject rptObj = new QbScheduleObject("new project/Account",
				QbScheduleObject.TEMPLATE_TYPE_REPORT, sPack);
		rptObj.setFileLocation("Account.rpt");
		String exportLocation1 = rptObj.pickDefaultExportLocation();

		QbScheduleObject chtObj = new QbScheduleObject("new project/col2d",
				QbScheduleObject.TEMPLATE_TYPE_CHART, sPack);
		chtObj.setFileLocation("col2d.tpl");
		String exportLocation2 = chtObj.pickDefaultExportLocation();

		organizer.getScheduler().addSchedulePackageTask(sPack);
	}

}
